Subject: Re: Bug report: Author/Commit date in ISO 8601 format

From: Jeff King <[email-masked]>
Date: Tue, 26 Aug 2014 09:33:26 -0400

On Tue, Aug 26, 2014 at 03:19:11PM +0200, Oliver Busch wrote:

> PS: As far as I understand it, there is no "optionality" of the "T" as an
> indicator for the start of the time part.

The standard says (and I am quoting from Wikipedia here, as I do not
have it myself):

  4.3.2 NOTE: By mutual agreement of the partners in information
  interchange, the character [T] may be omitted in applications where
  there is no risk of confusing a date and time of day representation
  with others defined in this International Standard.

But I am not sure that "omitted" means "can be replaced with a space".
And while you can define "by mutual agreement" as "git defines the
format, so any consumers agree to it" that is not necessarily useful to
somebody who wants to feed the result to an iso8601 parser that does not
know or care about git (i.e., it shoves the conversion work onto the
person in the middle).

-Peff